Package ru.bitel.bgbilling.modules.mangooffice.common.bean

# Class MangoAccountProduct

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mangooffice.common.bean.MangoAccountProduct

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class MangoAccountProduct
    extends Id

Продукт/тариф добавленный к лицевому счету Манго.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MangoAccountProduct()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAccountId()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getPlanId()` | Id тарифного плана, задается в списке конфига
  `int` | `getProductId()` | Id продукта, принадлежит Mango
  `int` | `getProductStatus()` |
  `java.lang.String` | `getStatusDescription()` |
  `void` | `setAccountId​(int accountId)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setPlanId​(int planId)` |
  `void` | `setProductId​(int productId)` |
  `void` | `setProductStatus​(int productStatus)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MangoAccountProduct

    public MangoAccountProduct()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId​(int accountId)

  - ### getPlanId

    public int getPlanId()
    Id тарифного плана, задается в списке конфига

  - ### setPlanId

    public void setPlanId​(int planId)

  - ### getProductId

    public int getProductId()
    Id продукта, принадлежит Mango

  - ### setProductId

    public void setProductId​(int productId)

  - ### getProductStatus

    public int getProductStatus()

  - ### setProductStatus

    public void setProductStatus​(int productStatus)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getStatusDescription

    public java.lang.String getStatusDescription()